Summary:        Eigenbase Resource Generator
Name:           eigenbase-resgen
Version:        1.3.0.11875
Release:        1%{?dist}
Epoch:          0
License:        LGPLv2.1
URL:            http://eigenbase.sourceforge.net/resgen/
Group:          Development/Libraries
Source0:        http://sourceforge.net/projects/eigenbase/files/%{name}/%{name}-1.3/%{name}-%{version}.zip
Patch0:         %{name}-bootstrap.patch
Requires:       jpackage-utils >= 0:1.6
Requires:       java >= 0:1.4.2
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  ant >= 0:1.6
BuildRequires:  junit
Requires:       jpackage-utils
Requires:       java
Requires(post):   jpackage-utils
Requires(postun): jpackage-utils

BuildArch:      noarch

%description
ResGen (the Eigenbase Resource Generator) helps you build and maintain
internationalized applications in Java. From a simple XML file, it 
generates classes to access those resources in a type-safe manner. 
It is tightly integrated with ANT, to make the development process 
painless; and it supports a variety of schemes to determine the current
locale.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n resgen
# remove all binary libs
rm -rf lib 

%patch0 -p1

%build
export CLASSPATH=/usr/share/java/junit.jar
ant javadoc
ant bootjar

%install

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
cp -p lib/eigenbase-xom.jar $RPM_BUILD_ROOT%{_javadir}/eigenbase-xom.jar

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp doc $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -p COPYING $RPM_BUILD_ROOT%{_javadocdir}/%{name}/

%check
# ant test

%post

%postun

%files
%{_javadir}/*.jar

%files javadoc
%doc %{_javadocdir}/*

%changelog
* Thu Aug 25 2011 Andy Grimm <agrimm@gmail.com> - 0:1.3.0.11875-1
- Initial build

